---

node:       profiles.$profile_node_name.statistics.sizes
infos_node: profile.statistics.sizes

structure:

  sizes:
    table_cell:                                 node
      maximum_text_length:                      int
      maximum_continuous_text_length:           int
      maximum_continuous_text_length_offset:    int

    session_path:                               node
      maximum_text_length:                      int
      maximum_continuous_text_length:           int
      maximum_continuous_text_length_offset:    int

    graph_legend_cell:                          node
      maximum_text_length:                      int
      maximum_continuous_text_length:           int
      maximum_continuous_text_length_offset:    int

    expand_paths_greater_than:                  int
    maximum_table_bar_graph_length:             int

infos:

  - node:               table_cell.maximum_text_length

  - node:               table_cell.maximum_continuous_text_length

  - node:               table_cell.maximum_continuous_text_length_offset

  - node:               session_path.maximum_text_length

  - node:               session_path.maximum_continuous_text_length

  - node:               session_path.maximum_continuous_text_length_offset

  - node:               graph_legend_cell.maximum_text_length

  - node:               graph_legend_cell.maximum_continuous_text_length

  - node:               graph_legend_cell.maximum_continuous_text_length_offset

  - node:               expand_paths_greater_than

  - node:               maximum_table_bar_graph_length

...